#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "ci067.h"
#include "agenda.h"
#include "agdbm.h"
#include "lista.h"

void remover ()
{
  lista *agenda;
  endereco *item;
  char *key,
        opt;

  if (db_open (DBASE_NOME, UPDATE)) {
    do {
      printf("Escolha uma das formas de remocao:\n\n");
      printf("\t N - Por Nome\n");
      printf("\t M - Por Email\n");
      printf("\t V - Voltar ao menu anterior\n");
      printf("\nOpcao: ");
      
      opt = getchar();
      ciflushin(stdin);
      
      switch (toupper(opt)) {
      case 'N':
	imprime (db_query(cigetval("\n\t\t Nome: ", TAM_NOME), QUERY_BY_NAME));
	break;
      case 'M':
	imprime (db_query(cigetval("\n\t\t E-mail: ", TAM_EMAIL), QUERY_BY_EMAIL));
	break;
      case 'V':
	break;
      } /* FIM switch(toupper(opt)) */
    } while (opt != 'V');
    
    db_close();
  }  /* FIM (db_open(UPDATE)) */
}
